fse.vo

## Class Metadata

- java.lang.Object
- - fse.vo.Metadata

-     public class Metadata
      extends java.lang.Object

  Contiene i metadati del documento ed i relativi valori. Per ogni metadato è possibile avere diversi valori.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `id`
    `private java.util.List<Value>` | `values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Metadata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Restituisce l'id del metadato
    `java.util.List<Value>` | `getValues()` Restituisce la lista dei valori per il metadato
    `void` | `setId(java.lang.String id)` Imposta l'id del metadato
    `void` | `setValues(java.util.List<Value> values)` Imposta la lista dei valori per il metadato

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          private java.lang.String id

    - #### values

          private java.util.List<Value> values

  - ### Constructor Detail

    - #### Metadata

          public Metadata()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Restituisce l'id del metadato
      Returns:
        l'id del metadato

    - #### setId

          public void setId(java.lang.String id)

      Imposta l'id del metadato
      Parameters:
        `id` - il nuovo id del metadato

    - #### getValues

          public java.util.List<Value> getValues()

      Restituisce la lista dei valori per il metadato
      Returns:
        la lista dei valori

    - #### setValues

          public void setValues(java.util.List<Value> values)

      Imposta la lista dei valori per il metadato
      Parameters:
        `values` - la nuova lista dei valori